 FUNCTION time_to_string( time )

!------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! 
!
! Former revisions:
! -----------------
! $Id$
! RCS Log replace by Id keyword, revision history cleaned up
!
! Revision 1.3  2001/01/22 08:16:04  raasch
! Comments translated into English
!
! Revision 1.1  1997/08/11 06:26:08  raasch
! Initial revision
!
!
! Description:
! ------------
! Transforming the time from real to character-string hh:mm:ss
!------------------------------------------------------------------------------!

    IMPLICIT NONE

    CHARACTER (LEN=9) ::  time_to_string
    INTEGER           ::  hours, minutes, seconds
    REAL              ::  rest_time, time

!
!-- Calculate the number of hours, minutes, and seconds
    hours     = INT( time / 3600.0 )
    rest_time = time - hours * 3600
    minutes   = INT( rest_time / 60.0 )
    seconds   = rest_time - minutes * 60

!
!-- Build the string
    IF ( hours < 100 )  THEN
       WRITE (time_to_string,'(I2.2,'':'',I2.2,'':'',I2.2)')  hours, minutes, &
                                                              seconds
    ELSE
       WRITE (time_to_string,'(I3.3,'':'',I2.2,'':'',I2.2)')  hours, minutes, &
                                                              seconds
    ENDIF

 END FUNCTION time_to_string
